<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">


<h:body>
    <f:metadata>
        <f:event listener="#{mbMessage.init()}" type="preRenderView"/>
    </f:metadata>

    <ui:composition template="/admin/adminPage.xhtml"> <!-- modifier par /adminPage.xhtml pour avoir l'arche admin -->
        <ui:define name="content">
            <div class="leftPage">
                <h3 style="color: #35cbdf; font-family: Arial, sans-serif; font-size:50px" align="center">
                    <h:outputText value="Les avis sur nos articles"/>
                </h3>
                <h:form>
                    <b:dataTable value="#{mbMessage.allMessage}" var="msg" col-sm="8" offset="2" onsearch="true">
                        <b:dataTableColumn value="#{msg.article}"></b:dataTableColumn>

                        <b:dataTableColumn>
                            <f:facet name="header"><h:outputText value="Date"/></f:facet>
                            <h:outputText value="#{msg.date}">
                                <f:convertDateTime pattern="#{mbUser.DATE_FORMAT}"/>
                            </h:outputText>
                        </b:dataTableColumn>

                        <b:dataTableColumn value="#{msg.note}"></b:dataTableColumn>
                        <b:dataTableColumn value="#{msg.texte}"></b:dataTableColumn>
                        <b:dataTableColumn value="#{msg.user.nom}"> #{msg.user.prenom}</b:dataTableColumn>
                        <b:dataTableColumn>
                            <f:facet name="header">
                                <p style="color:white">Action</p>
                            </f:facet>
                            <b:commandButton action="#{mbMessage.deleteMessage(msg)}"
                                             look="danger">Supprimer</b:commandButton>
                        </b:dataTableColumn>
                    </b:dataTable>
                </h:form>

            </div>
        </ui:define>
    </ui:composition>

</h:body>
</html>